namespace Avanzis.QueryBuilder
{
    /// <summary>
    /// Clase bsica de la que heredan todos los builders
    /// </summary>
    public abstract class Builder
    {
        /// <summary>
        /// Constructor
        /// </summary>
        protected Builder()
        {
        }

        /// <summary>
        /// Gets or sets the name of the table.
        /// </summary>
        /// <value>The name of the table.</value>
        public abstract string TableName { get; set; }
    }
}