namespace Avanzis.QueryBuilder
{
    /// <summary>
    /// Posiblies operadores que se usan en las expresiones
    /// </summary>
    public enum SqlOperator
    {
        /// <summary>
        /// Igual
        /// </summary>
        Equals,
        /// <summary>
        /// Distinto
        /// </summary>
        Distinct,
        /// <summary>
        /// Mayor que
        /// </summary>
        Greater,
        /// <summary>
        /// Mayor o igual que
        /// </summary>
        GreaterOrEqual,
        /// <summary>
        /// Menor
        /// </summary>
        Less,
        /// <summary>
        /// Menor o igual que
        /// </summary>
        LessOrEqual,
        /// <summary>
        /// Parecido
        /// </summary>
        Like,
        /// <summary>
        /// No parecido
        /// </summary>
        NotLike,
        /// <summary>
        /// Es nulo
        /// </summary>
        IsNull,
        /// <summary>
        /// No es nulo
        /// </summary>
        IsNotNull,
        /// <summary>
        /// Contiene
        /// </summary>
        Contains,
        /// <summary>
        /// Se encuentra en
        /// </summary>
        In,
        /// <summary>
        /// No se encuentra en
        /// </summary>
        NotIn,
        /// <summary>
        /// Existe
        /// </summary>
        Exists,
        /// <summary>
        /// Bsqueda de valores nulos
        /// </summary>
        Is,
        /// <summary>
        /// No Contiene
        /// </summary>
        NotContains
    }
}