namespace Avanzis.QueryBuilder
{
    /// <summary>
    /// Formas de hacer un join.
    /// </summary>
    public enum JoinTypes
    {
        /// <summary>
        /// Pares de filas coincidentes. Descarta las no coinicidentes
        /// </summary>
        Inner,
        /// <summary>
        /// Todas las filas de la izquierda
        /// </summary>
        Left,
        /// <summary>
        /// Todas las filas de la derecha
        /// </summary>
        Right,
        /// <summary>
        /// Todas de los dos lados
        /// </summary>
        Full
    }
}