using System.Data.Common;

namespace Avanzis.QueryFramework
{
    public interface IQueryFrameworkProviderFactory
    {
        DbConnection CreateConnection(string connectionString);

        DbCommand CreateCommand(string commandText, DbConnection connection);

        DbDataAdapter CreateDataAdapter(DbCommand command);

        DbDataAdapter CreateDataAdapter(string command, DbConnection connection);

        DbParameter CreateParameter(string parameterName, object parameterValue);
    }
}