using System;

namespace Avanzis.QueryObjects.Tests
{
    [ActiveRecord("Groups")]
    class Group : ActiveRecordBase<Group>
    {
        private int groupId = -1;
        private String name;
        private String seasonCode;
        private String phaseTypeCode;

        [PrimaryKey("Id")]
        public int GroupId
        {
            get { return groupId; }
            set { groupId = value; }
        }

        [Property]
        public String Name            
        {
            get { return name; }
            set { name = value; }
        }

        [Property]
        public String SeasonCode
        {
            get { return seasonCode; }
            set { seasonCode = value; }
        }

        [Property]
        public String PhaseTypeCode
        {
            get { return phaseTypeCode; }
            set { phaseTypeCode = value; }
        }
    }
}
