using System;

namespace Avanzis.QueryObjects.Tests
{
    [ActiveRecord("Referees")]
    public class Referee : ActiveRecordBase<Referee>
    {
        private String code;
        private String name;

        public Referee() : base()
        {
        }

        public Referee(Session session)
            : base(session)
        {
        }
        

        [PrimaryKey(PrimaryKeyType.Assigned)]
        public String Code
        {
            get { return code; }
            set { code = value; }
        }

        [Property]
        public String Name
        {
            get { return name; }
            set { name = value; }
        }
    }
}
