using System;

namespace Avanzis.QueryObjects
{
    /// <summary>
    /// Excepcin genrica de este helper
    /// </summary>
    public class QueryObjectsException : System.Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="T:QueryObjectsException"/> class.
        /// </summary>
        public QueryObjectsException()
            : base()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="T:QueryObjectsException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        public QueryObjectsException(string message)
            : base(message)
        { }

        /// <summary>
        /// Initializes a new instance of the <see cref="T:QueryObjectsException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="innerException">The inner exception.</param>
        public QueryObjectsException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
    }
}
