using Avanzis.QueryFramework;
using NUnit.Framework;

namespace Avanzis.QueryBuilder.NUnit.MsSql2005
{
    class MsSql2005SelectClauseTest : MsSql2000.MsSql2000SelectClauseTest
    {
        private Dialects previousDialect = Dialects.MSSql2005Dialect;

        [TestFixtureSetUp()]
        public override void Setup()
        {
            previousDialect = QueryFrameworkConfiguration.Dialect;
            QueryFrameworkConfiguration.Dialect = Dialects.MSSql2005Dialect;
            QueryBuilder.QueryProcessor.ResetProcessor();
        }

        [TestFixtureTearDown()]
        public override void TearDown()
        {
            QueryFrameworkConfiguration.Dialect = previousDialect;
        }


    }
}
