namespace Avanzis.QueryBuilder
{
    /// <summary>
    /// Clase bsica de la que heredan los builders que actualizan la BBDD
    /// </summary>
    public abstract class SaveBuilder : Builder
    {
        /// <summary>
        /// Gets the field values.
        /// </summary>
        /// <value>The field values.</value>
        public abstract SqlFieldValueCollection FieldValues { get; }
    }
}