namespace Avanzis.QueryObjects.Tests
{
    [ActiveRecord("Competitions")]
    public class Competition : ActiveRecordBase<Competition>
    {
        private string code;
        private string name;
        private string countryCode;
        private string type;

        [PrimaryKey(Generator=PrimaryKeyType.Assigned)]
        public string Code
        {
            get { return code; }
            set { code = value; }
        }

        [Property("CompetitionName")]
        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        
        [Property("CompetitionType", Update=false)]
        public string Type
        {
            get { return type; }
            set { type = value; }
        }

        [Property(Insert=false)]
        public string CountryCode
        {
            get { return countryCode; }
            set { countryCode = value; }
        }


    }
}
