using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace Avanzis.Helpers.PersistentObjects
{
    public interface IThreadScopeInfo
    {
        Stack<ISessionScope> CurrentStack { get; }

        ISessionScope GetRegisteredScope();

        void RegisterScope(ISessionScope scope);

        void UnRegisterScope(ISessionScope scope);

        bool HasInitializedScope { get; }
    }
}
